System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

In a service, use the class to create an untyped fault to return to the client for debugging purposes.

In a client, catch objects to handle unknown or generic faults, such as those returned by a service with the property set to true. Because extends , remember to catch any objects prior to catching objects if you want to catch them separately.

Duplex services can also catch objects returned from their interaction with a duplex client.

In general, it is strongly recommended that you use the to design your services to return strongly-typed SOAP faults (and not managed exception objects) for all fault cases in which you decide the client requires fault information. However, use the in the following situations:

To send SOAP faults from a service for debugging purposes.

To catch SOAP faults on a client when the faults are not part of the service contract.

Throw objects when you want the string to be passed to the constructor and retrieved by the client by calling the method. If you specify a fault contract of type where the type parameter is , the string value is available as the property and not by calling .

For details, see Handling Faults in Windows Communication Foundation Contracts.

Represents a SOAP fault.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message fault values.

  The message fault that contains the default SOAP fault values.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified reason.

  The reason for the SOAP fault.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified fault reason.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified serialization information and context when deserializing a stream into a object.

  The serialization information necessary to reconstruct the object from a stream.
  The streaming context required to reconstruct the object.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified message fault values and the provided action string.

  The message fault that contains the default SOAP fault values to use.
  The action of the SOAP fault.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified reason and fault code.

  The reason for the SOAP fault.
  The fault code for the SOAP fault.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class using the specified reason and SOAP fault code.

  The SOAP fault code for the fault.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified reason, fault code, and action value.

  The reason for the SOAP fault.
  The fault code for the SOAP fault.
  The action value for the SOAP fault.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified reason, fault code, and action value.

  The reason for the SOAP fault.
  The fault code for the SOAP fault.
  The action value for the SOAP fault.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the value of the SOAP action for the fault message.

- Property
  4.0.0.0
  System.ServiceModel.FaultCode To be added. To be added.

  Gets the fault code for the SOAP fault.

- Method
  4.0.0.0
  System.ServiceModel.FaultException `` `System.ParamArray` To be added. To be added.

  The parameter contains candidate detail types. If any of the has a schema that matches the parameter, a is returned where the type parameter is the matching candidate type.

  Returns a object from the specified message fault and an array of detail types.

  A object that you can throw to indicate that a SOAP fault message was received.

- Method
  4.0.0.0
  System.ServiceModel.FaultException `` `` `System.ParamArray`

  The parameter contains candidate detail types. If any of the has a schema that matches the parameter, a is returned where the type parameter is the matching candidate type.

  Returns a object from the specified message fault, action and an array of detail types.

  A object that you can throw to indicate that a SOAP fault message was received.

  The message fault that contains default SOAP fault information. The fault action value. An array of types that contains fault details.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault To be added.

  Returns a object.

  The in-memory representation of a SOAP fault that can be passed to to create a message that contains a fault. For objects that result from fault messages, this object is the fault that arrives.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Implementation of the method that is called when the object is serialized into a stream.

  The serialization information to which the object data is added when serialized. The destination for the serialized object.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the message for the exception.

- Property
  4.0.0.0
  System.ServiceModel.FaultReason To be added. To be added.

  Gets the for the SOAP fault.